<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['forecast-title3'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_GET['id'])) puterror2($TEXT['error-forecast5']);
  if(strlen($_GET['id'])>11) puterror2($TEXT['error-forecast6']);
  $_GET['id'] = rep($_GET['id']);

  //*************************************
  $query = "SELECT * FROM `tbl_forecast` WHERE `id`='".$_GET['id']."' ";
  $result = mysql_query($query);
  if (!$result) puterror2($TEXT['error-tbl21']);
    $result2 = mysql_fetch_array($result);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-forecast2'];
  $what = $result2['name']." ".$result2['dat']." id:".$_GET['id'];
  $who = $result2['fullname'];
  //*************************************
  $query_delete = "DELETE FROM `tbl_forecast` WHERE `id`='".$_GET['id']."' LIMIT 1";
  if(mysql_query($query_delete))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-forecast7']);
  require_once "../util/bottom.php";
?>
